> ## Documentation Index
> Fetch the complete documentation index at: https://wrtntechnologies.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Describe a project

> Get metadata of an existing project.



## OpenAPI

````yaml get /projects/{projectId}
openapi: 3.1.1
info:
  title: Wrtn AIMP API
  summary: Wrtn AIMP Open API Spec
  version: 1.0.0
servers:
  - url: https://{baseUrl}/{version}
    description: AIMP API endpoints
    variables:
      baseUrl:
        enum:
          - qqcyn6e2xc.execute-api.ap-northeast-2.amazonaws.com
        default: qqcyn6e2xc.execute-api.ap-northeast-2.amazonaws.com
      version:
        enum:
          - v1beta1
        default: v1beta1
security: []
paths:
  /projects/{projectId}:
    get:
      description: Get metadata of an existing project.
      parameters:
        - $ref: '#/components/parameters/ContentType'
        - $ref: '#/components/parameters/AdminApiKey'
        - $ref: '#/components/parameters/ProjectId'
      responses:
        '200':
          description: Project matched with a projectId.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectResponse'
components:
  parameters:
    ContentType:
      in: header
      name: content-type
      required: true
      schema:
        type: string
        default: application/json
    AdminApiKey:
      in: header
      name: x-api-key
      description: Admin API Key.
      required: true
      schema:
        type: string
        description: Admin API Key.
    ProjectId:
      in: path
      name: projectId
      description: Project ID.
      required: true
      schema:
        type: string
  schemas:
    ProjectResponse:
      type: object
      properties:
        id:
          type: string
          description: Project ID.
        projectName:
          type: string
          description: Project name.
        apiKey:
          type: string
          description: Project API key.
        rateLimit:
          type: number
          description: Rate limit.
        status:
          $ref: '#/components/schemas/Status'
    Status:
      type: string
      description: Status
      enum:
        - CREATING
        - ACTIVE
        - DELETING

````